# SPDX-FileCopyrightText: None
# SPDX-License-Identifier: CC0-1.0

Dependencies:
- 'on': ['Linux/Qt5', 'FreeBSD/Qt5']
  'require':
    'frameworks/extra-cmake-modules': '@latest'
    'frameworks/kconfig': '@latest'
    'frameworks/kconfigwidgets': '@latest'
    'frameworks/kcoreaddons': '@latest'
    'frameworks/ki18n': '@latest'
    'frameworks/kiconthemes': '@latest'
    'frameworks/kio': '@latest'
    'frameworks/kjobwidgets': '@latest'
    'frameworks/knotifications': '@latest'
    'frameworks/kservice': '@latest'
    'frameworks/kwidgetsaddons': '@latest'
    'frameworks/kwindowsystem': '@latest'
    'frameworks/kxmlgui': '@latest'
    'plasma/kwayland': 'kf5'
    'plasma/breeze': '@same'
    'third-party/wayland': '@latest'

- 'on': ['Linux/Qt6', 'FreeBSD/Qt6']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kguiaddons': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kcolorscheme': '@latest-kf6'
    'frameworks/kiconthemes': '@latest-kf6'
    'frameworks/kio': '@latest-kf6'
    'frameworks/kjobwidgets': '@latest-kf6'
    'frameworks/knotifications': '@latest-kf6'
    'frameworks/kservice': '@latest-kf6'
    'frameworks/kstatusnotifieritem': '@latest-kf6'
    'frameworks/kwidgetsaddons': '@latest-kf6'
    'frameworks/kwindowsystem': '@latest-kf6'
    'frameworks/kxmlgui': '@latest-kf6'
    'plasma/breeze': '@same'
    'third-party/wayland': '@latest'
